- Main Page
- Modules
- Namespaces
- Classes
- Files

# textoverlay.h File Reference

`#include <glibmm.h>`
`#include <gstreamermm/element.h>`

Go to the source code of this file.

## Namespaces
namespace | Gst
namespace | Glib
## Classes
class | Gst::TextOverlay
| Gst::TextOverlay - textoverlay plugin. More...
## Enumerations
enum | Gst::TextOverlayHAlign { Gst::TEXT_OVERLAY_HALIGN_LEFT, Gst::TEXT_OVERLAY_HALIGN_CENTER, Gst::TEXT_OVERLAY_HALIGN_RIGHT }
enum | Gst::TextOverlayVAlign { Gst::TEXT_OVERLAY_VALIGN_BASELINE, Gst::TEXT_OVERLAY_VALIGN_BOTTOM, Gst::TEXT_OVERLAY_VALIGN_TOP }
enum | Gst::TextOverlayWrapMode { Gst::TEXT_OVERLAY_WRAP_MODE_NONE = -1, Gst::TEXT_OVERLAY_WRAP_MODE_WORD, Gst::TEXT_OVERLAY_WRAP_MODE_CHAR, Gst::TEXT_OVERLAY_WRAP_MODE_WORD_CHAR }
enum | Gst::TextOverlayLineAlign { Gst::TEXT_OVERLAY_LINE_ALIGN_LEFT, Gst::TEXT_OVERLAY_LINE_ALIGN_CENTER, Gst::TEXT_OVERLAY_LINE_ALIGN_RIGHT }